package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.defaultImpl.WIntHandler;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;

@PrimaryKey("tidingsId")
@Table
public class Tidings implements CreateTimeSupported {
	private String tidingsId;
	private String tidingsContant;
	private String senderId;
	private String consultId;
	private String createTime;
	private Integer readStatus;
	private Professor professor;
	private Consult consult;
	
	public Professor getProfessor() {
		return professor;
	}
	public void setProfessor(Professor professor) {
		this.professor = professor;
	}
	
	public Consult getConsult() {
		return consult;
	}
	public void setConsult(Consult consult) {
		this.consult = consult;
	}
	
	@Column(DE.id_32)
	public String getTidingsId() {
		return tidingsId;
	}
	public void setTidingsId(String tidingsId) {
		this.tidingsId = tidingsId;
	}
	
	@Column(handlerClass=StringHandler.class,dbType="TEXT",nullable=false,insertable=true,renewable=false,queryable=true)
	public String getTidingsContant() {
		return tidingsContant;
	}
	public void setTidingsContant(String tidingsContant) {
		this.tidingsContant = tidingsContant;
	}
	
	@Column(DE.id_32)
	public String getSenderId() {
		return senderId;
	}
	public void setSenderId(String senderId) {
		this.senderId = senderId;
	}
	
	@Column(DE.id_32)
	public String getConsultId() {
		return consultId;
	}
	public void setConsultId(String consultId) {
		this.consultId = consultId;
	}
	
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	
	@Column(handlerClass=WIntHandler.class,dbType="INT",nullable=false,insertable=false,renewable=true,queryable=true)
	public Integer getReadStatus() {
		return readStatus;
	}
	public void setReadStatus(Integer readStatus) {
		this.readStatus = readStatus;
	}
	
}
